> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Company Bank Account

> Add bank account information for a company, used for company debits, worker payouts, and micro-deposit verification during onboarding.



## OpenAPI

````yaml openapi/zeal-api.json post /companies/bank
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /companies/bank:
    post:
      summary: Create Company Bank Account
      description: Creates a bank account for the specified company.
      operationId: create-company-bank-account
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - account_number
                - routing_number
              properties:
                companyID:
                  type: string
                  description: ID of the company.
                account_number:
                  type: string
                  description: Account number of the Company Bank Account.
                routing_number:
                  type: string
                  description: Routing number of the Company Bank Account.
            examples:
              Request Example:
                value:
                  account_number: '12345678'
                  routing_number: '021000021'
                  companyID: 182bb035e9ad422238c5e2cb386e19dd
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      companyID: 182bb035e9ad422238c5e2cb386e19dd
                      account_number: '12345678'
                      routing_number: '021000021'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      companyID:
                        type: string
                        example: 182bb035e9ad422238c5e2cb386e19dd
                      account_number:
                        type: string
                        example: '12345678'
                      routing_number:
                        type: string
                        example: '021000021'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Routing number is invalid
                        status: 400
                        code: 56
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Routing number is invalid
                        status:
                          type: integer
                          example: 400
                          default: 0
                        code:
                          type: integer
                          example: 56
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````